Package org.eclipse.ecf.core.util

## Class AbstractFactory

- java.lang.Object
- - org.eclipse.ecf.core.util.AbstractFactory

    public class AbstractFactory
    extends Object

### Constructor Summary

Constructors
`AbstractFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Class[]` `getClassesForTypes​(String[] argTypes, Object[] args, ClassLoader cl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractFactory

    public AbstractFactory()

### Method Detail

#### getClassesForTypes

    public static Class[] getClassesForTypes​(String[] argTypes,
                                             Object[] args,
                                             ClassLoader cl)
                                      throws ClassNotFoundException

Throws:
  `ClassNotFoundException`